Termin mit Teilnehmenden
curl --request GET \
--url https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"occurrence": {
"eventId": "<string>",
"occurrenceStart": "<string>",
"occurrenceEnd": "<string>",
"title": "<string>",
"description": "<string>",
"timezone": "<string>",
"location": "<string>",
"url": "<string>",
"recurrence": "none",
"recurrenceUntil": "<string>",
"minLevel": 123,
"planIds": [
"<string>"
],
"planNames": [
"<string>"
],
"ageGroupIds": [
"<string>"
],
"ageGroupNames": [
"<string>"
],
"formId": "<string>",
"formName": "<string>",
"capacity": 123,
"spotsLeft": 123,
"rsvpCount": 123,
"waitlistEnabled": true,
"waitlistCount": 123,
"createdByName": "<string>",
"webUrl": "<string>",
"tags": [
"<string>"
],
"postalCode": "<string>",
"country": "<string>",
"recurrenceWeeks": [
123
],
"draft": true,
"minAttendees": 123,
"minAttendeesDeadlineAt": "<string>",
"minAttendeesState": "<string>",
"minAttendeesMissing": 123,
"cancelled": true,
"cancellationKind": "<string>",
"cancellationReason": "<string>",
"cancelledAt": "<string>"
},
"attendees": [
{
"userId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"ticketNumber": "<string>",
"checkedIn": true,
"checkedInAt": "<string>"
}
],
"waitlist": [
{
"position": 123,
"userId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>"
}
],
"checkedIn": 123,
"ticketsTotal": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Events
Termin mit Teilnehmenden
Ein Termin mit allen Zusagen (inkl. Ticket- und Check-in-Stand) und der Warteliste in Reihenfolge.
GET
/
api
/
rest
/
v1
/
communities
/
{slug}
/
events
/
{eventId}
Termin mit Teilnehmenden
curl --request GET \
--url https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"occurrence": {
"eventId": "<string>",
"occurrenceStart": "<string>",
"occurrenceEnd": "<string>",
"title": "<string>",
"description": "<string>",
"timezone": "<string>",
"location": "<string>",
"url": "<string>",
"recurrence": "none",
"recurrenceUntil": "<string>",
"minLevel": 123,
"planIds": [
"<string>"
],
"planNames": [
"<string>"
],
"ageGroupIds": [
"<string>"
],
"ageGroupNames": [
"<string>"
],
"formId": "<string>",
"formName": "<string>",
"capacity": 123,
"spotsLeft": 123,
"rsvpCount": 123,
"waitlistEnabled": true,
"waitlistCount": 123,
"createdByName": "<string>",
"webUrl": "<string>",
"tags": [
"<string>"
],
"postalCode": "<string>",
"country": "<string>",
"recurrenceWeeks": [
123
],
"draft": true,
"minAttendees": 123,
"minAttendeesDeadlineAt": "<string>",
"minAttendeesState": "<string>",
"minAttendeesMissing": 123,
"cancelled": true,
"cancellationKind": "<string>",
"cancellationReason": "<string>",
"cancelledAt": "<string>"
},
"attendees": [
{
"userId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"ticketNumber": "<string>",
"checkedIn": true,
"checkedInAt": "<string>"
}
],
"waitlist": [
{
"position": 123,
"userId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>"
}
],
"checkedIn": 123,
"ticketsTotal": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}